Package org.gradle.api.artifacts.repositories

## Interface MavenArtifactRepository.MetadataSources

- Enclosing interface:
    MavenArtifactRepository

      public static interface MavenArtifactRepository.MetadataSources

  Allows configuring the sources of metadata for a specific repository.
  Since:
    4.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `artifact()` | Indicates that this repository may not contain metadata files, but we can infer it from the presence of an artifact file.
    `void` | `gradleMetadata()` | Indicates that this repository will contain Gradle metadata.
    `void` | `ignoreGradleMetadataRedirection()` | Indicates that this repository will ignore Gradle module metadata redirection markers found in POM files.
    `boolean` | `isArtifactEnabled()` | Indicates if this repository only contains artifacts.
    `boolean` | `isGradleMetadataEnabled()` | Indicates if this repository contains Gradle module metadata.
    `boolean` | `isIgnoreGradleMetadataRedirectionEnabled()` | Indicates if this repository ignores Gradle module metadata redirection markers.
    `boolean` | `isMavenPomEnabled()` | Indicates if this repository contains Maven POM files.
    `void` | `mavenPom()` | Indicates that this repository will contain Maven POM files.

- - ### Method Detail

    - #### gradleMetadata

          void gradleMetadata()

      Indicates that this repository will contain Gradle metadata.

    - #### mavenPom

          void mavenPom()

      Indicates that this repository will contain Maven POM files. If the POM file contains a marker telling that Gradle metadata exists for this component, Gradle will also look for the Gradle metadata file. Gradle module metadata redirection will not happen if `ignoreGradleMetadataRedirection()` has been used.

    - #### artifact

          void artifact()

      Indicates that this repository may not contain metadata files, but we can infer it from the presence of an artifact file.

    - #### ignoreGradleMetadataRedirection

          void ignoreGradleMetadataRedirection()

      Indicates that this repository will ignore Gradle module metadata redirection markers found in POM files.
      Since:
        5.6

    - #### isGradleMetadataEnabled

          @Incubating
          boolean isGradleMetadataEnabled()

      Indicates if this repository contains Gradle module metadata.
      Since:
        6.4

    - #### isMavenPomEnabled

          @Incubating
          boolean isMavenPomEnabled()

      Indicates if this repository contains Maven POM files.
      Since:
        6.4

    - #### isArtifactEnabled

          @Incubating
          boolean isArtifactEnabled()

      Indicates if this repository only contains artifacts.
      Since:
        6.4

    - #### isIgnoreGradleMetadataRedirectionEnabled

          @Incubating
          boolean isIgnoreGradleMetadataRedirectionEnabled()

      Indicates if this repository ignores Gradle module metadata redirection markers.
      Since:
        6.4